]> gcc.gnu.org Git - gcc.git/commitdiff
complex.h: Without __GXX_EXPERIMENTAL_CXX0X__ include_next complex.h.
authorBenjamin Kosnik <bkoz@redhat.com>
Mon, 26 Mar 2007 10:41:41 +0000 (10:41 +0000)
committerBenjamin Kosnik <bkoz@gcc.gnu.org>
Mon, 26 Mar 2007 10:41:41 +0000 (10:41 +0000)
2007-03-26  Benjamin Kosnik  <bkoz@redhat.com>

* include/c_compatibility/complex.h: Without
__GXX_EXPERIMENTAL_CXX0X__ include_next complex.h.
* include/c_compatibility/fenv.h: Same.
* include/c_compatibility/inttypes.h: Same.
* include/c_compatibility/stdbool.h: Same.
* include/c_compatibility/stdint.h: Same.
* include/c_compatibility/tgmath.h: Same.

* include/tr1/cinttypes: Use include_next.
* include/tr1/cstdint: Same.
* include/tr1/cstdbool: Same.

* acinclude.m4 (GLIBCXX_ENABLE_C99): Add check for tgmath.h
* configure: Regenerate.
* config.h.in: Same.

From-SVN: r123214

13 files changed:
libstdc++-v3/ChangeLog
libstdc++-v3/acinclude.m4
libstdc++-v3/config.h.in
libstdc++-v3/configure
libstdc++-v3/include/c_compatibility/complex.h
libstdc++-v3/include/c_compatibility/fenv.h
libstdc++-v3/include/c_compatibility/inttypes.h
libstdc++-v3/include/c_compatibility/stdbool.h
libstdc++-v3/include/c_compatibility/stdint.h
libstdc++-v3/include/c_compatibility/tgmath.h
libstdc++-v3/include/tr1/cinttypes
libstdc++-v3/include/tr1/cstdbool
libstdc++-v3/include/tr1/cstdint

index 8a9ccd3e58079d034727e585118296f13dd6c2f6..5bf125a038bd065846a71c72d5279ae3ae9adc1f 100644 (file)
@@ -1,3 +1,21 @@
+2007-03-26  Benjamin Kosnik  <bkoz@redhat.com>
+
+       * include/c_compatibility/complex.h: Without
+       __GXX_EXPERIMENTAL_CXX0X__ include_next complex.h.      
+       * include/c_compatibility/fenv.h: Same.
+       * include/c_compatibility/inttypes.h: Same.
+       * include/c_compatibility/stdbool.h: Same.
+       * include/c_compatibility/stdint.h: Same.
+       * include/c_compatibility/tgmath.h: Same.
+
+       * include/tr1/cinttypes: Use include_next.
+       * include/tr1/cstdint: Same.
+       * include/tr1/cstdbool: Same.
+
+       * acinclude.m4 (GLIBCXX_ENABLE_C99): Add check for tgmath.h
+       * configure: Regenerate.
+       * config.h.in: Same.
+       
 2007-03-25  Paolo Carlini  <pcarlini@suse.de>
 
        * include/tr1/functional: Formatting fixes.
index f40845dfa18eab884642989cd8a01e7bf84f13fe..18d1840ceb261012529f38e03b6c38b82933f522 100644 (file)
@@ -795,6 +795,7 @@ AC_DEFUN([GLIBCXX_ENABLE_C99], [
   # This is necessary even though libstdc++ uses the builtin versions
   # of these functions, because if the builtin cannot be used, a reference
   # to the library function is emitted.
+  AC_CHECK_HEADERS(tgmath.h, ac_has_tgmath_h=yes, ac_has_tgmath_h=no)
   AC_CHECK_HEADERS(complex.h, ac_has_complex_h=yes, ac_has_complex_h=no)
   ac_c99_complex=no;
   if test x"$ac_has_complex_h" = x"yes"; then
index ceb08fad428fa2bb4c574eb24005f565e5e1423c..a87d23d88d50216471f5b53e3950ba8546781a4c 100644 (file)
 /* Define to 1 if you have the `tanl' function. */
 #undef HAVE_TANL
 
+/* Define to 1 if you have the <tgmath.h> header file. */
+#undef HAVE_TGMATH_H
+
 /* Define to 1 if the target supports thread-local storage. */
 #undef HAVE_TLS
 
index d60c747e024392944d93354819719e0a235d0bab..55069241e7848e611d2d06636c474c8ecf11fae3 100755 (executable)
@@ -7129,6 +7129,158 @@ _ACEOF
   # of these functions, because if the builtin cannot be used, a reference
   # to the library function is emitted.
 
+for ac_header in tgmath.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_cxx_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_cxx_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ----------------------------------------- ##
+## Report this to the package-unused lists.  ##
+## ----------------------------------------- ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ ac_has_tgmath_h=yes
+else
+  ac_has_tgmath_h=no
+fi
+
+done
+
+
 for ac_header in complex.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -8029,7 +8181,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   # Fake what AC_TRY_COMPILE does.  XXX Look at redoing this new-style.
     cat > conftest.$ac_ext << EOF
-#line 8032 "configure"
+#line 8184 "configure"
 int main()
 {
   // NB: _Atomic_word not necessarily int.
index 88acb1eebee361a3fed4c44ed50f7f616669bf1d..8ddb579773378352a187171b79dcfb4e8ffd0c12 100644 (file)
  *  This is a Standard C++ Library header.
  */
 
-#include <ccomplex>
+#include <bits/c++config.h>
+
+#ifdef __GXX_EXPERIMENTAL_CXX0X__
+# include <ccomplex>
+#else
+# if _GLIBCXX_HAVE_COMPLEX_H
+#  include_next <complex.h>
+# endif
+#endif
 
 #ifndef _GLIBCXX_COMPLEX_H
 #define _GLIBCXX_COMPLEX_H 1
index c3eb4b4abced6e9e4f873acc00de987cf374a4c7..44661d72c02f762d7e338531c005c23190e5c334 100644 (file)
  *  This is a Standard C++ Library header.
  */
 
-#include <cfenv>
+#include <bits/c++config.h>
+
+#ifdef __GXX_EXPERIMENTAL_CXX0X__
+# include <cfenv>
+#else
+# if _GLIBCXX_HAVE_FENV_H
+#  include_next <fenv.h>
+# endif
+#endif
 
 #ifndef _GLIBCXX_FENV_H
 #define _GLIBCXX_FENV_H 1
index d6eebdf6606ed541f669b082933cf54c8a94b652..562d0aa90633de9454215e05b3ae06c56a620336 100644 (file)
  *  This is a Standard C++ Library header.
  */
 
-#include <cinttypes>
+#include <bits/c++config.h>
+
+#ifdef __GXX_EXPERIMENTAL_CXX0X__
+# include <cinttypes>
+#else
+# if _GLIBCXX_HAVE_INTTYPES_H
+#  include_next <inttypes.h>
+# endif
+#endif
 
 #ifndef _GLIBCXX_INTTYPES_H
 #define _GLIBCXX_INTTYPES_H 1
index a825d4fd3659a1cfe184e5c7c536384bd81cbaa6..194926920d0e62cf57f3dc9c2a1035df6cf780cd 100644 (file)
  *  This is a Standard C++ Library header.
  */
 
-#include <cstdbool>
+#include <bits/c++config.h>
+
+#ifdef __GXX_EXPERIMENTAL_CXX0X__
+# include <cstdbool>
+#else
+# if _GLIBCXX_HAVE_STDBOOL_H
+#  include_next <stdbool.h>
+# endif
+#endif
 
 #ifndef _GLIBCXX_STDBOOL_H
 #define _GLIBCXX_STDBOOL_H 1
index 359986f8adea813a9d5426c8e190a8c2b731a4c8..c59a1cd76db0daeb12da3fa662b7dac0d7ce559f 100644 (file)
  *  This is a Standard C++ Library header.
  */
 
-#include <cstdint>
+#include <bits/c++config.h>
+
+#ifdef __GXX_EXPERIMENTAL_CXX0X__
+# include <cstdint>
+#else
+# if _GLIBCXX_HAVE_STDINT_H
+#  include_next <stdint.h>
+# endif
+#endif
 
 #ifndef _GLIBCXX_STDINT_H
 #define _GLIBCXX_STDINT_H 1
index b2ce8b5432824e39c8ac5a437e2dedbf815bcae3..baf495f4d8388dd014fdffd1163f859cab139619 100644 (file)
  *  This is a Standard C++ Library header.
  */
 
-#include <ctgmath>
+#include <bits/c++config.h>
+
+#ifdef __GXX_EXPERIMENTAL_CXX0X__
+# include <ctgmath>
+#else
+# if _GLIBCXX_HAVE_TGMATH_H
+#  include_next <tgmath.h>
+# endif
+#endif
 
 #ifndef _GLIBCXX_TGMATH_H
 #define _GLIBCXX_TGMATH_H 1
index 398ab1d2e184f93b4c4d1ac2dbbf5b46c921da5d..e2d2fcdc163e6d7e1913961e1471e7c395569e1f 100644 (file)
@@ -1,6 +1,6 @@
 // TR1 cinttypes -*- C++ -*-
 
-// Copyright (C) 2006 Free Software Foundation, Inc.
+// Copyright (C) 2006, 2007 Free Software Foundation, Inc.
 //
 // This file is part of the GNU ISO C++ Library.  This library is free
 // software; you can redistribute it and/or modify it under the
@@ -41,7 +41,7 @@
 
 // For 8.11.1/1 (see C99, Note 184) 
 #define __STDC_FORMAT_MACROS
-#include <inttypes.h>
+#include_next <inttypes.h>
 
 // namespace std::tr1
 namespace std
index 2406f9e28f069484b1ca84067d4f1a35fb4266c4..939f2c7153073b68611e354222a84b53e5374d75 100644 (file)
@@ -1,6 +1,6 @@
 // TR1 cstdbool -*- C++ -*-
 
-// Copyright (C) 2006 Free Software Foundation, Inc.
+// Copyright (C) 2006, 2007 Free Software Foundation, Inc.
 //
 // This file is part of the GNU ISO C++ Library.  This library is free
 // software; you can redistribute it and/or modify it under the
@@ -37,7 +37,7 @@
 #include <bits/c++config.h>
 
 #if _GLIBCXX_HAVE_STDBOOL_H
-#include <stdbool.h>
+#include_next <stdbool.h>
 #endif
 
 #endif
index a8dce52245fe63492d6c4148a7ac842f61994d18..56fa3083bf3fb2aa99f07d1a9b7ad439967a9605 100644 (file)
@@ -1,6 +1,6 @@
 // TR1 cstdint -*- C++ -*-
 
-// Copyright (C) 2006 Free Software Foundation, Inc.
+// Copyright (C) 2006, 2007 Free Software Foundation, Inc.
 //
 // This file is part of the GNU ISO C++ Library.  This library is free
 // software; you can redistribute it and/or modify it under the
@@ -41,7 +41,7 @@
 // For 8.22.1/1 (see C99, Notes 219, 220, 222) 
 #define __STDC_LIMIT_MACROS
 #define __STDC_CONSTANT_MACROS
-#include <stdint.h>
+#include_next <stdint.h>
 
 // namespace std::tr1
 namespace std
This page took 0.142912 seconds and 5 git commands to generate.